Fix spacing on WPrefs Misc panel
[wmaker-crm.git] / configure.ac
blob6244bc7c9db357ade538a8610f0100fcb24b79ed
1 dnl
2 dnl Window Maker autoconf input.
3 dnl
4 dnl Process with:
5 dnl               aclocal
6 dnl               autoheader
7 dnl               autoconf
8 dnl               libtoolize --force --automake
9 dnl               automake -a --gnu --include-deps
10 dnl
11 dnl
14 AC_INIT(src/WindowMaker.h)
18 AM_INIT_AUTOMAKE(WindowMaker, 0.94.0-crm)
20 AC_PROG_LIBTOOL
22 AM_CONFIG_HEADER(src/config.h)
25 dnl Checks for host/os name
26 dnl =======================
27 dnl AC_CANONICAL_HOST -- already done by AC_PROG_LIBTOOL
30 dnl Checks for programs.
31 dnl ===================
32 AC_ISC_POSIX
33 AC_PROG_CC
34 dnl AC_PROG_MAKE_SET -- already done by AM_INIT_AUTOMAKE
35 #AC_PROG_RANLIB
36 dnl AC_PROG_INSTALL -- already done by AM_INIT_AUTOMAKE
37 AC_PROG_LN_S
38 AC_PROG_GCC_TRADITIONAL
40 AX_CFLAGS_GCC_OPTION(-Wall)
41 AX_CFLAGS_GCC_OPTION(-Wextra)
43 dnl Platform-specific Makefile setup
44 dnl ================================
46 case "${host}" in
47         *-*-linux*|*-*-cygwin*)
48                 WM_OSDEP="linux"
49         ;;
50         *-*-freebsd*)
51                 WM_OSDEP="bsd"
52                 CFLAGS="$CFLAGS -DFREEBSD"
53         ;;
54         *-*-netbsd*)
55                 WM_OSDEP="bsd"
56                 CFLAGS="$CFLAGS -DNETBSD"
57         ;;
58         *-*-openbsd*)
59                 WM_OSDEP="bsd"
60         CFLAGS="$CFLAGS -DOPENBSD"
61         ;;
62         *-*-dragonfly*)
63                 WM_OSDEP="bsd"
64                 CFLAGS="$CFLAGS -DDRAGONFLYBSD"
65         ;;
66         *-apple-darwin*)
67                 WM_OSDEP="darwin"
68         ;;
69         *-*-solaris*)
70                 WM_OSDEP="stub"         # solaris.c when done
71         ;;
72         *)
73                 WM_OSDEP="stub"
74                 CFLAGS="-DSTUB_HINT=\\\"${host}\\\""
75         ;;
76 esac
77 AC_SUBST(WM_OSDEP)
80 dnl the prefix
81 dnl ==========
82 dnl
83 dnl move this earlier in the script... anyone know why this is handled
84 dnl in such a bizarre way?
86 test "x$prefix" = xNONE && prefix=$ac_default_prefix
87 dnl Let make expand exec_prefix.
88 test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
91 _bindir=`eval echo $bindir`
92 _bindir=`eval echo $_bindir`
94 _libdir=`eval echo $libdir`
95 _libdir=`eval echo $_libdir`
96 lib_search_path="-L$_libdir"
98 inc_search_path=`eval echo $includedir`
99 inc_search_path="-I`eval echo $inc_search_path`"
102 dnl Specify paths to look for libraries and headers
103 dnl ===============================================
104 AC_ARG_WITH(libs-from,
105 [  --with-libs-from        pass compiler flags to look for libraries],
106         [lib_search_path="$withval $lib_search_path"])
108 AC_ARG_WITH(incs-from,
109 [  --with-incs-from        pass compiler flags to look for header files],
110         [inc_search_path="$withval $inc_search_path"])
114 dnl Checks for library functions.
115 dnl ============================
116 dnl not used anywhere
117 dnl AC_FUNC_MEMCMP  
118 AC_FUNC_VPRINTF
119 AC_CHECK_FUNCS(gethostname select poll strerror strcasecmp strncasecmp \
120                setsid atexit mallinfo mkstemp snprintf vsnprintf asprintf \
121                vasprintf)
123 dnl ripped from samba
124 dnl 
125 AC_CACHE_CHECK([for C99 vsnprintf],_cv_HAVE_C99_VSNPRINTF,[
126 AC_TRY_RUN([
127 #include <sys/types.h>
128 #include <stdarg.h>
129 void foo(const char *format, ...) { 
130        va_list ap;
131        int len;
132        char buf[5];
134        va_start(ap, format);
135        len = vsnprintf(0, 0, format, ap);
136        va_end(ap);
137        if (len != 5) exit(1);
139        if (snprintf(buf, 3, "hello") != 5 || strcmp(buf, "he") != 0) exit(1);
141        exit(0);
143 main() { foo("hello"); }
145 _cv_HAVE_C99_VSNPRINTF=yes,_cv_HAVE_C99_VSNPRINTF=no,_cv_HAVE_C99_VSNPRINTF=cross)])
146 if test x"$_cv_HAVE_C99_VSNPRINTF" = x"yes"; then
147     AC_DEFINE(HAVE_C99_VSNPRINTF, 1, [define if you have vsnprintf with C99 semantics (set by configure)])
150 dnl Check for inotify
151 dnl =================
152 AC_CHECK_HEADERS(sys/inotify.h, AC_DEFINE(HAVE_INOTIFY, 1, Check for inotify))
154 dnl Check CPP
155 dnl =========
156 if test "x$CPP_PATH" = x; then
157     AC_PATH_PROG(CPP_PATH, cpp, notfound, 
158                 $PATH:/lib:/usr/bin:/bin:/usr/lib:/usr/ccs/lib)
162 dnl Tell stupid Solaris cpp that the files it will process have C++ like syntax
163 dnl RedHat 5.x is broken too, so it won't make a symlink from cpp to the
164 dnl standard locations
166 if test "$CPP_PATH" = "/usr/ccs/lib/cpp" -o "$CPP_PATH" = "notfound" ; then
167     if test "$GCC" = "yes"; then
168         CPP_PATH="gcc -E -x c"
169     else 
170         if test "$CPP_PATH" = "/usr/ccs/lib/cpp"; then
171             CPP_PATH="$CPP_PATH -B"
172         else
173             echo "cpp, the C preprocessor was not found in your system."
174             echo "Create a symbolic link from it to /lib/cpp and rerun configure"
175             exit
176         fi
177     fi
179 AC_DEFINE_UNQUOTED(CPP_PATH, "$CPP_PATH", [define to the path to cpp])
183 dnl Checks for header files.
184 dnl =======================
185 AC_HEADER_SYS_WAIT
186 AC_HEADER_TIME
187 AC_CHECK_HEADERS(fcntl.h limits.h sys/ioctl.h sys/time.h sys/types.h \
188                  libintl.h sys/select.h poll.h malloc.h ctype.h string.h \
189                  strings.h)
193 dnl Checks for typedefs, structures, and compiler characteristics.
194 dnl ==============================================================
195 AC_DECL_SYS_SIGLIST
196 AC_C_CONST
197 #AC_TYPE_SIZE_T
198 #AC_TYPE_PID_T
199 AC_TYPE_SIGNAL
203 dnl Compiler/architecture specific optimizations
204 dnl ============================================
207 dnl GCC/as with MMX support
208 dnl -----------------------
210 # until we fix it, leave it disabled
211 asm_support=no
212 mmx_support=no
214 check_for_mmx_support=yes
215 AC_ARG_ENABLE(mmx,
216    [  --disable-mmx          disable compilation of MMX inline assembly ],
217    [if test x$enableval != xyes; then
218     check_for_mmx_support=no
219     fi])
221 if test "$ac_cv_prog_gcc" = yes -a "$check_for_mmx_support" = yes; then
222 case $host_cpu in
223 *i?86*)
225     # gcc-3.3 or newer complains about some of our stuff without this
226     NOSTRICTALIASING="-fno-strict-aliasing"
228     AC_CACHE_CHECK(whether gcc supports x86 inline asm,
229                    ac_cv_c_inline_asm,
230                    [AC_TRY_LINK(,[{int x; asm volatile("movl %%eax, %%ebx\n\t pushal\n\t popal"::
231                           "m" (x),"m" (x),"m" (x),"m" (x),"m" (x),"m" (x),
232                           "m" (x),"m" (x),"m" (x),"m" (x),"m" (x),"m" (x));}],
233                    ac_cv_c_inline_asm=yes,
234                    ac_cv_c_inline_asm=no)])
236     if test "x$ac_cv_c_inline_asm" = xyes; then
237        AC_DEFINE(ASM_X86, 1, [define if processor is x86 (normally detected by configure)])
238        asm_support=yes
240        AC_CACHE_CHECK(whether gcc supports MMX(tm) inline asm,
241                       ac_cv_c_inline_mmx,
242                       [AC_TRY_LINK(,[asm ("movq %mm0, %mm1");],
243                       ac_cv_c_inline_mmx=yes,
244                       ac_cv_c_inline_mmx=no)])
246        if test "x$ac_cv_c_inline_mmx" = xyes; then
247           AC_DEFINE(ASM_X86_MMX, 1, [define if processor is x86 with MMX(tm) support (normally autodetected by configure)])
248           mmx_support=yes
249        fi
250     fi
251     ;;
252 esac
254 AC_SUBST(NOSTRICTALIASING)
257 dnl pkg-config
258 dnl ----------
259 dnl AC_ARG_VAR(PKGCONFIG, [pkg-config command])
260 AC_CHECK_PROG(PKGCONFIG, pkg-config, pkg-config) 
263 dnl gettext
264 dnl -------
267 dnl AM_GNU_GETTEXT
271 INTLIBS=""
273 AC_CHECK_FUNC(gettext, [HAVEGETTEXT="yes"], 
274         AC_CHECK_LIB(intl, gettext, [INTLIBS="-lintl" HAVEGETTEXT="yes"],
275                          INTLIBS="" ))
277 AC_CHECK_PROG(XGETTEXT, xgettext, xgettext)
279 if test "$XGETTEXT" != ""; then 
280     if $XGETTEXT --help 2>&1 | grep illegal >/dev/null ; then
281         echo "xgettext isn't GNU version"
282         XGETTEXT=""
283     fi
286 if test "$LINGUAS" != ""; then
287     if test "$XGETTEXT" != "" -a "$HAVEGETTEXT" != ""; then
288         AC_DEFINE(I18N, 1, [Internationalization (I18N) support (set by configure)])
289         PO=""
290         echo "xgettext and gettext() exist; will build i18n support for $LINGUAS"
291     else
292         LINGUAS=""
293         PO=""
294         echo "xgettext and libintl.a don't both exist; will not build i18n support"
295     fi
296 else
297         INTLIBS=""
298         MOFILES=""
299         WPMOFILES=""
300         UTILMOFILES=""
301         PO=""
305 dnl The Tower of Babel
306 dnl ==================
308 dnl List of supported locales
309 dnl -------------------------
310 supported_locales="be bg bs ca cs da de el es et fi fr gl hr hu hy it ja ko ms nl no pl pt ro ru sk sv tr zh_CN zh_TW"
311 supported_wprefs_locales="bg ca cs de es et fi fr hr hu it ja ko pt ru sk zh_CN zh_TW"
312 supported_wings_locales="bg ca cs de fr sk"
313 supported_util_locales="de"
315 for lang in $LINGUAS; do
316         ok=0
317         for l in $supported_locales; do
318                 if test "$l" = "$lang"; then
319                         ok=1
320                         break
321                 fi
322         done
323         if test "$ok" = 1; then
324                 MOFILES="$MOFILES $lang.mo"
325         else
326                 echo "Locale $lang is not supported."
327         fi
328         ok=0
329         for l in $supported_wprefs_locales; do
330                 if test "$l" = "$lang"; then
331                         ok=1
332                         break
333                 fi
334         done
335         if test "$ok" = 1; then
336                 WPMOFILES="$WPMOFILES $lang.mo"
337         fi
338         ok=0
339         for l in $supported_util_locales; do
340                 if test "$l" = "$lang"; then
341                         ok=1
342                         break
343                 fi
344         done
345         if test "$ok" = 1; then
346                 UTILMOFILES="$UTILMOFILES $lang.mo"
347         fi
348         ok=0
349         for l in $supported_wings_locales; do
350                 if test "$l" = "$lang"; then
351                         ok=1
352                         break
353                 fi
354         done
355         if test "$ok" = 1; then
356                 WINGSMOFILES="$WINGSMOFILES $lang.mo"
357         fi
358 done
361 dnl Added by Oliver - Support for NLSDIR option,   Hi Oliver!
362 dnl ===========================================
363 AC_ARG_WITH(nlsdir, 
364         [  --with-nlsdir=PATH      specify where the locale stuff should go ])
367 if test "x$NLSDIR" = "x"; then
368         if test "x$with_nlsdir" != "x"; then
369                 NLSDIR=$with_nlsdir
370         else
371                 NLSDIR='$(prefix)/lib/locale'
372         fi
377 AC_SUBST(INTLIBS)
378 AC_SUBST(NLSDIR)
379 AC_SUBST(MOFILES)
380 AC_SUBST(WPMOFILES)
381 AC_SUBST(UTILMOFILES)
382 AC_SUBST(WINGSMOFILES)
383 AC_SUBST(supported_locales)
387 dnl Support for various hint things
388 dnl ===============================
391 dnl Beautify compilation messages
392 dnl ---------------------------------------------
393 AC_ARG_ENABLE(verbose-compile, AS_HELP_STRING([--disable-verbose-compile],
394                                [Streamline compilation messages (default off)]),
395   [
396         QUIET='@echo "     CC" $@;'
397         QUIET_AR='@echo "     AR" $@;'
398         LIBTOOL_ARG="--silent"
399         MAKEFLAGS="-s"
400         AC_SUBST(QUIET)
401         AC_SUBST(QUIET_AR)
402         AC_SUBST(LIBTOOL_ARG)
403         AC_SUBST(MAKEFLAGS)
407 dnl ===========================================
408 dnl             Stuff that uses X
409 dnl ===========================================
411 AC_PATH_XTRA
413 if test $no_x; then
414     AC_MSG_ERROR([The path for the X11 files not found!
415 Make sure you have X and it's headers and libraries (the -devel packages
416 in Linux) installed.])
419 X_LIBRARY_PATH=$x_libraries
421 XCFLAGS="$X_CFLAGS"
423 XLFLAGS="$X_LIBS"
425 XLIBS="-lX11 -lXmu $X_EXTRA_LIBS"
428 lib_search_path="$lib_search_path $XLFLAGS"
429 inc_search_path="$inc_search_path $XCFLAGS"
432 AC_SUBST(X_LIBRARY_PATH)
436 dnl Decide which locale function to use, setlocale() or _Xsetlocale()
437 dnl by MANOME Tomonori 
438 dnl ===========================================
439 use_locale=yes
440 AC_ARG_ENABLE(locale, 
441 [  --disable-locale        disable use of X locale support],
442                 use_locale=no)
444 if test "$use_locale" = yes; then
445         AC_CHECK_LIB(X11, _Xsetlocale,
446                 AC_DEFINE(X_LOCALE, 1, [define if you want support for X window's X_LOCALE (set by configure)]),,
447                 $XLFLAGS $XLIBS)
451 dnl Check whether XInternAtoms() exist
452 dnl ==================================
453 AC_CHECK_LIB(X11, XInternAtoms, 
454              AC_DEFINE(HAVE_XINTERNATOMS, 1, [define if your X server has XInternAtoms() (set by configure)]),,
455              $XLFLAGS $XLIBS)
457 dnl Check whether XConvertCase() exist
458 dnl ==================================
459 AC_CHECK_LIB(X11, XConvertCase, 
460              AC_DEFINE(HAVE_XCONVERTCASE, 1, [define if your X server has XConvertCase() (set by configure)]),,
461              $XLFLAGS $XLIBS)
464 dnl XKB keyboard language status
465 dnl ============================
466 AC_ARG_ENABLE(modelock,
467 [  --enable-modelock       XKB keyboard language status support],
468                 AC_DEFINE(XKB_MODELOCK, 1, [whether XKB language MODELOCK should be enabled]))
472 dnl Shape support
473 dnl =============
474 shape=yes
475 AC_ARG_ENABLE(shape, 
476 [  --disable-shape         disable shaped window extension support],
477                 shape=$enableval, shape=yes)
479 added_xext=no
481 if test "$shape" = yes; then
482         AC_CHECK_LIB(Xext, XShapeSelectInput, [XLIBS="-lXext $XLIBS"
483                 added_xext=yes
484                 AC_DEFINE(SHAPE, 1, [define if you want support for shaped windows (set by configure)])], 
485                 shape=no, $XLFLAGS $XLIBS)
489 dnl Xft2 antialiased font support
490 dnl =============================
492 xft=yes
493 XFTLIBS=""
495 if test "x$PKGCONFIG" != x -a "`$PKGCONFIG xft; echo $?`" = 0; then
496         XFTCONFIG="$PKGCONFIG xft"
497         pkgconfig_xft=yes
498 else
499         AC_CHECK_PROG(XFTCONFIG, xft-config, xft-config)
502 AC_MSG_CHECKING([for the Xft2 library])
504 if test "x$XFTCONFIG" != x; then
505         XFTLIBS=`$XFTCONFIG --libs`
506         XFTFLAGS=`$XFTCONFIG --cflags`
507         AC_MSG_RESULT([found])
508 else
509         AC_MSG_RESULT([not found])
510         echo
511         echo "ERROR!!! libXft2 is not installed or could not be found."
512         echo "         Xft2 is a requirement for building Window Maker."
513         echo "         Please install it (along with fontconfig) before continuing."
514         echo
515         exit 1
518 minXFT="2.1.0"
519 goodxft="no"
522 dnl The macro below will use $XFTFLAGS (defined above) to find Xft.h
524 WM_CHECK_XFT_VERSION($minXFT, goodxft=yes, goodxft=no)
526 if test "$goodxft" = no; then
527         echo
528         echo "ERROR!!! libXft on this system is an old version."
529         echo "         Please consider upgrading to at least version ${minXFT}."
530         echo
531         exit 1
534 AC_SUBST(XFTFLAGS)
535 AC_SUBST(XFTLIBS)
538 dnl XINERAMA support
539 dnl ================
540 xinerama=no
541 AC_ARG_ENABLE(xinerama,
542 [  --enable-xinerama       enable Xinerama extension support],
543                 xinerama=$enableval, xinerama=no)
545 if test "$xinerama" = yes; then
546         AC_CHECK_LIB(Xinerama, XineramaQueryScreens, 
547                 [XLIBS="-lXinerama $XLIBS"
548                 xfxine=yes],
549                 xfxine=no, $XLFLAGS $XLIBS)
551         AC_CHECK_LIB(Xext, XineramaGetInfo,
552                 [sunxine=yes
553                 ], sunxine=no, $XLFLAGS $XLIBS)
555         if test "$xfxine" = yes; then
556                 xine=1
557         fi
559         if test "$sunxine" = yes; then
560             xine=1
561             AC_DEFINE(SOLARIS_XINERAMA, 1, 
562                 [define if you want support for the XINERAMA extension and are in Solaris (set by configure)])
563         fi
565         if test "$xine" = 1; then
566             AC_DEFINE(XINERAMA, 1, 
567                 [define if you want support for the XINERAMA extension (set by configure)])
568         fi
573 dnl MIT-SHM support
574 dnl ===============
575 shm=yes
576 AC_ARG_ENABLE(shm,
577 [  --disable-shm           disable usage of MIT-SHM extension],
578                 shm=$enableval, shm=yes)
580 if test "$shm" = yes; then
581         AC_CHECK_LIB(Xext, XShmAttach, ok=yes, ok=no, $XLFLAGS $XLIBS)
583         if test "$ok" = yes; then
584         AC_CHECK_FUNC(shmget, ok=yes, ok=no)
585         fi
587         if test "$ok" = yes; then
588                 if test "$added_xext" = no; then
589                         XLIBS="-lXext $XLIBS"
590                 fi
591                 AC_DEFINE(XSHM, 1, [define if X's shared memory extension is available (set by configure)])
592         fi
596 dnl R6 Style Session Management Support
597 dnl ===================================
601 #AC_DEFINE(R6SM)
602 #AC_SUBST(XSMPLIBS)
606 dnl ==============================================
607 dnl         Graphic Format Libraries
608 dnl ==============================================
614 dnl XPM Support
615 dnl ===========
616 xpm=yes
617 AC_ARG_ENABLE(xpm, 
618 [  --disable-xpm           disable use of XPM pixmaps through libXpm],
619         xpm=$enableval, xpm=yes)
621 if test "$xpm" = yes; then
622     WM_CHECK_LIB(Xpm, XpmCreatePixmapFromData, [$XLFLAGS $XLIBS])
624     if test "x$ac_cv_lib_Xpm_XpmCreatePixmapFromData" = xyes; then
625         WM_CHECK_HEADER(X11/xpm.h)
626         if test "x$ac_cv_header_X11_xpm_h" = xyes; then
627                 GFXLIBS="$GFXLIBS -lXpm"
628                 supported_gfx="XPM"
629                 AC_DEFINE(USE_XPM, 1, [define if XPM libraries are available (set by configure)])
630         else
631                 supported_gfx="builtin-XPM"
632         fi
633     fi
636 AC_SUBST(XLFLAGS)
637 AC_SUBST(XLIBS)
638 AC_SUBST(X_EXTRA_LIBS)
640 dnl ===============================================
641 dnl             End of stuff that uses X
642 dnl ===============================================
646 dnl PNG Support
647 dnl ===========
648 png=yes
649 AC_ARG_ENABLE(png, 
650 [  --disable-png           disable PNG support through libpng],
651         png=$enableval, png=yes, png=no)
654 if test "$png" = yes ; then
655     WM_CHECK_LIB(png, png_get_valid, [-lz -lm])
657     if test "x$ac_cv_lib_png_png_get_valid" = xyes; then
658         WM_CHECK_HEADER(png.h)
659         if test "x$ac_cv_header_png_h" = xyes; then
660             GFXLIBS="$GFXLIBS -lpng -lz" 
661             supported_gfx="$supported_gfx PNG"
662             AC_DEFINE(USE_PNG, 1, [define if PNG libraries are available (set by configure)])
663         fi
664     fi
668 dnl JPEG Support
669 dnl ============
670 jpeg=yes
671 ljpeg=""
672 AC_ARG_ENABLE(jpeg,
673 [  --disable-jpeg          disable JPEG support through libjpeg],
674         jpeg=$enableval, jpeg=yes, jpeg=no)
676 if test "$jpeg" = yes; then
677     WM_CHECK_LIB(jpeg, jpeg_destroy_compress)
679     if test "x$ac_cv_lib_jpeg_jpeg_destroy_compress" = xyes; then
681         ljpeg="-ljpeg"
683         WM_CHECK_HEADER(jpeglib.h)
684         if test "x$ac_cv_header_jpeglib_h" = xyes; then
685             GFXLIBS="$GFXLIBS -ljpeg"
686             supported_gfx="$supported_gfx JPEG"
687             AC_DEFINE(USE_JPEG, 1, [define if JPEG libraries are available (set by configure)])
688         fi
689     fi
693 dnl GIF Support
694 dnl ============
695 gif=yes
696 AC_ARG_ENABLE(gif,
697 [  --disable-gif           disable GIF support through libgif or libungif],
698         gif=$enableval, gif=yes, gif=no)
700 if test "$gif" = yes; then
701     my_libname=""
702     WM_CHECK_LIB(ungif, DGifOpenFileName, [$XLFLAGS $XLIBS])
703     if test "x$ac_cv_lib_ungif_DGifOpenFileName" = xyes; then
704         my_libname=-lungif
705     fi
707 dnl libungif is the same thing as libgif for all practical purposes.
709     if test "x$my_libname" = x; then
710         WM_CHECK_LIB(gif, DGifOpenFileName, [$XLFLAGS $XLIBS])
711         if test "x$ac_cv_lib_gif_DGifOpenFileName" = xyes; then
712             my_libname=-lgif
713         fi
714     fi
716     if test "$my_libname" != x; then
717         WM_CHECK_HEADER(gif_lib.h)
718         if test "x$ac_cv_header_gif_lib_h" = xyes; then
719             GFXLIBS="$GFXLIBS $my_libname"
720             supported_gfx="$supported_gfx GIF"
721             AC_DEFINE(USE_GIF, 1, [define if GIF libraries are available (set by configure)])
722         fi
723     fi
728 dnl TIFF Support
729 dnl ============
730 AC_ARG_ENABLE(tiff, 
731 [  --disable-tiff          disable use of TIFF images through libtiff],
732         tif=$enableval, tif=yes, tif=no)
735 # TIFF can optionally have JPEG and/or zlib support. Must find out
736 # when they are supported so that correct library flags are passed during
737 # detection and linkage
740 # By default use xpm icons if tiff is not found.
741 ICONEXT="xpm"
744 if test "$tif" = yes; then
745     my_libname=""
746     WM_CHECK_LIB(tiff, TIFFGetVersion, [-lm])
747     if test "x$ac_cv_lib_tiff_TIFFGetVersion" = xyes; then
748         my_libname="-ltiff"
749     fi
751 dnl Retry with zlib
753     unset ac_cv_lib_tiff_TIFFGetVersion
754     if test "x$my_libname" = x; then
755         WM_CHECK_LIB(tiff, TIFFGetVersion, [$ljpeg -lz -lm])
756         if test "x$ac_cv_lib_tiff_TIFFGetVersion" = xyes; then
757             my_libname="-ltiff -lz"
758         fi
759     fi
761     if test "x$my_libname" = x; then
762         WM_CHECK_LIB(tiff34, TIFFGetVersion, [$ljpeg -lm])
763         if test "x$ac_cv_lib_tiff34_TIFFGetVersion" = xyes; then
764             my_libname="-ltiff34"
765         fi
766     fi
769     if test "x$my_libname" != x; then
770         WM_CHECK_HEADER(tiffio.h)
771         if test "x$ac_cv_header_tiffio_h" = xyes; then
772             GFXLIBS="$my_libname $GFXLIBS"
773             ICONEXT="tiff"
774             supported_gfx="$supported_gfx TIFF"
775             AC_DEFINE(USE_TIFF, 1, [define if TIFF libraries are available (set by configure)])     
776         fi
777     fi
780 LIBRARY_SEARCH_PATH="$lib_search_path"
781 HEADER_SEARCH_PATH="$inc_search_path"
783 AC_SUBST(LIBRARY_SEARCH_PATH)
784 AC_SUBST(HEADER_SEARCH_PATH)
787 AC_SUBST(GFXLIBS)
788 AC_SUBST(ICONEXT)
791 dnl ==============================================
792 dnl         End of Graphic Format Libraries
793 dnl ==============================================
797 dnl stdlib.h is checked here, because of conflict in jpeglib.h
798 AC_CHECK_HEADERS(stdlib.h)
800 # AC_PREFIX_PROGRAM(wmaker)
802 dnl Support for PIXMAPDIR option
803 dnl ============================
804 AC_ARG_WITH(pixmapdir,
805 [  --with-pixmapdir=PATH   specify where pixmaps are located [DATADIR/pixmaps]])
807 if test "x$with_pixmapdir" != "x"; then
808         pixmapdir=$with_pixmapdir
809 else
810         pixmapdir=`eval echo ${datadir}/pixmaps`
813 AC_DEFINE_UNQUOTED(PIXMAPDIR, "$pixmapdir", [define an extra path for pixmaps (set by configure)])
815 pkgdatadir=`eval echo $datadir`
816 AC_DEFINE_UNQUOTED(PKGDATADIR, "$pkgdatadir/WindowMaker", [where shared data is stored (defined by configure)])
818 _sysconfdir=`eval echo $sysconfdir`
819 AC_DEFINE_UNQUOTED(SYSCONFDIR, "$_sysconfdir", [where the configuration is stored (defined by configure)])
822 dnl Support for GNUSTEP_LOCAL_ROOT, for WPrefs.app
823 dnl ==============================================
825 AC_ARG_WITH(appspath,
826 [  --with-gnustepdir=PATH  specify the directory for GNUstep applications])
828 if test "x`echo $with_gnustepdir | grep ^/`" != "x"; then
829     appspath=$with_gnustepdir
832 if test "x$appspath$GNUSTEP_LOCAL_ROOT" = "x"; then
833     wprefs_base_dir=${prefix}
834     wprefs_datadir="${datadir}/WPrefs"
835     wprefs_bindir="${bindir}"
836 else
837     gnustepdir=$appspath
839     if test "x$GNUSTEP_LOCAL_ROOT" != "x" ; then
840         gnustepdir=`echo "$GNUSTEP_LOCAL_ROOT" | sed -e "s|^${prefix}|prefix|"`
841         gnustepdir=`echo $gnustepdir | sed -e 's|^prefix|${prefix}|'`
842     fi
844     wprefs_base_dir=$gnustepdir/Applications
845     wprefs_datadir=$wprefs_base_dir/WPrefs.app
846     wprefs_bindir=$wprefs_base_dir/WPrefs.app
849 AC_SUBST(wprefs_datadir)
850 AC_SUBST(wprefs_bindir)
853 dnl Enable User Defined Menu thing
854 dnl ==================================
855 AC_ARG_ENABLE(usermenu,
856 [  --enable-usermenu       user defined menus for applications
858 if test "$enableval" = yes; then
859         AC_DEFINE(USER_MENU, 1, [define if you want user defined menus for applications])
864 AC_OUTPUT(Makefile po/Makefile util/Makefile util/po/Makefile \
865         WINGs/Makefile WINGs/WINGs/Makefile WINGs/Documentation/Makefile \
866         WINGs/Examples/Makefile WINGs/Resources/Makefile WINGs/Tests/Makefile \
867         WINGs/Extras/Makefile WINGs/po/Makefile \
868         wrlib/Makefile wrlib/tests/Makefile \
869         src/Makefile src/wconfig.h \
870         doc/Makefile doc/sk/Makefile \
871         WindowMaker/Makefile WindowMaker/Backgrounds/Makefile \
872         WindowMaker/Defaults/Makefile WindowMaker/IconSets/Makefile \
873         WindowMaker/Icons/Makefile WindowMaker/Pixmaps/Makefile \
874         WindowMaker/Styles/Makefile WindowMaker/Themes/Makefile \
875         WPrefs.app/Makefile WPrefs.app/tiff/Makefile WPrefs.app/xpm/Makefile \
876         WPrefs.app/po/Makefile \
877         contrib/Makefile contrib/WindowMaker.spec )
882 dnl Output some helpful data for compiling wraster and WINGs/WUtil apps
883 dnl ===================================================================
886 dnl echo "WFLAGS=\"$LIBPL_INC_PATH -I$prefix/include\"" > WINGs-flags
887 dnl echo "WLIBS=\"-L$exec_prefix/lib -lWINGs -lwraster $LIBPL_LIBS $GFXLIBS -lm\""\
888 dnl     | sed -e 's|\$(prefix)|'"$prefix|" >> WINGs-flags
890 dnl The #lp# and #rp# stuff below is a hack because [ and ] get lost when
891 dnl parsed by m4
893 cat <<EOF >get-wraster-flags
894 #!/bin/sh
896 WCFLAGS="$inc_search_path"
897 WLFLAGS="$lib_search_path"
898 WLIBS="-lwraster $GFXLIBS $XLIBS -lm"
900 usage="Usage: get-wraster-flags #lp#--cflags#rp# #lp#--ldflags#rp# #lp#--libs#rp#"
902 if test \$# -eq 0; then
903       echo "\${usage}" 1>&2
904       exit 1
907 while test \$# -gt 0; do
908   case \$1 in
909     --cflags)
910         echo \$WCFLAGS
911         ;;
912     --ldflags|--lflags)
913         echo \$WLFLAGS
914         ;;
915     --libs)
916         echo \$WLIBS
917         ;;
918     *)
919         echo "\${usage}" 1>&2
920         exit 1
921         ;;
922   esac
923   shift
924 done
929 cat <<EOF > wrlib/wrlib.pc
930 Name: wrlib
931 Description: Image manipulation and conversion library
932 Version: $VERSION
933 Libs: $lib_search_path -lwraster $GFXLIBS $XLIBS -lm
934 Cflags: $inc_search_path
937 cat <<EOF >get-wings-flags
938 #!/bin/sh
940 WCFLAGS="$inc_search_path"
941 WLFLAGS="$lib_search_path"
942 WLIBS="-lWINGs -lWUtil -lwraster $GFXLIBS $XFTLIBS $XLIBS -lm $INTLIBS"
944 usage="Usage: get-wings-flags #lp#--cflags#rp# #lp#--ldflags#rp# #lp#--libs#rp#"
946 if test \$# -eq 0; then
947       echo "\${usage}" 1>&2
948       exit 1
951 while test \$# -gt 0; do
952   case \$1 in
953     --cflags)
954         echo \$WCFLAGS
955         ;;
956     --ldflags|--lflags)
957         echo \$WLFLAGS
958         ;;
959     --libs)
960         echo \$WLIBS
961         ;;
962     *)
963         echo "\${usage}" 1>&2
964         exit 1
965         ;;
966   esac
967   shift
968 done
973 cat <<EOF > WINGs/WINGs.pc
974 Name: WINGs
975 Description: Small widget set with the NeXTStep(TM) look and feel
976 Version: $VERSION
977 Requires: wrlib
978 Libs: $lib_search_path -lWINGs $XFTLIBS $XLIBS -lm $INTLIBS
979 Cflags: $inc_search_path
982 cat <<EOF >get-wutil-flags
983 #!/bin/sh
985 WCFLAGS="-I`eval echo ${includedir}`"
986 WLFLAGS="-L${_libdir}"
987 WLIBS="-lWUtil $INTLIBS"
989 usage="Usage: get-wutil-flags #lp#--cflags#rp# #lp#--ldflags#rp# #lp#--libs#rp#"
991 if test \$# -eq 0; then
992       echo "\${usage}" 1>&2
993       exit 1
996 while test \$# -gt 0; do
997   case \$1 in
998     --cflags)
999         echo \$WCFLAGS
1000         ;;
1001     --ldflags|--lflags)
1002         echo \$WLFLAGS
1003         ;;
1004     --libs)
1005         echo \$WLIBS
1006         ;;
1007     *)
1008         echo "\${usage}" 1>&2
1009         exit 1
1010         ;;
1011   esac
1012   shift
1013 done
1018 sed 's/#lp#/[/g' get-wraster-flags | sed 's/#rp#/]/g' > wrlib/get-wraster-flags
1019 sed 's/#lp#/[/g' get-wings-flags | sed 's/#rp#/]/g' > WINGs/get-wings-flags
1020 sed 's/#lp#/[/g' get-wutil-flags | sed 's/#rp#/]/g' > WINGs/get-wutil-flags
1022 chmod 755 wrlib/get-wraster-flags WINGs/get-wings-flags WINGs/get-wutil-flags
1024 rm -f get-wraster-flags get-wings-flags get-wutil-flags
1028 dnl Spit out the configuration
1029 dnl ==========================
1031 supported_gfx="$supported_gfx builtin-PPM"
1033 if test "x$MOFILES" = "x"; then
1034         mof=None
1035 else
1036         mof=`echo $MOFILES`
1039 if test "x$MOFILES" = "x"; then
1040         languages=None
1041 else
1042         languages=`echo $MOFILES | sed 's/.mo//g'`
1045 echo
1046 echo "Window Maker was configured as follows:"
1047 echo
1048 echo "Installation path prefix            : $prefix"
1049 echo "Installation path for binaries      : $_bindir"
1050 echo "Installation path for WPrefs.app    : $wprefs_base_dir" | sed -e 's|\${prefix}|'"$prefix|"
1051 echo "Supported graphic format libraries  : $supported_gfx"
1052 echo "Use assembly routines for wrlib     : $asm_support"
1053 echo "Use inline MMX(tm) x86 assembly     : $mmx_support"
1054 echo "Antialiased text support in WINGs   : $xft"
1055 echo "Xinerama extension support          : $xinerama"
1056 echo "Translated message files to install : $mof"
1057 dnl echo "Supported languages beside English  : $languages"
1058 if test "x$MOFILES" != "x"; then
1059         echo "Installation path for translations  : $NLSDIR" | sed -e 's|\$(prefix)|'"$prefix|"
1061 echo
1063 dnl WM_PRINT_REDCRAP_BUG_STATUS
1065 if test "x$ac_cv_header_jpeglib_h" != xyes; then
1066 echo "WARNING   WARNING   WARNING   WARNING   WARNING   WARNING   WARNING"
1067 echo
1068 echo "JPEG support will not be included because the JPEG library is"
1069 echo "not installed correctly or was not found. Background images"
1070 echo "from themes will not display as they usually are JPEG files."
1071 echo
1072 echo "To fix, download and install the jpeg library and/or make sure you"
1073 echo "installed all jpeg related packages, SPECIALLY the development packages"
1074 echo "like jpeg-devel (if you use some prepackaged version of libjpeg)."
1075 echo
1076 echo "WARNING   WARNING   WARNING   WARNING   WARNING   WARNING   WARNING"
1080 dnl This is for Emacs.  I'm lazy, I know... (nicolai)
1081 dnl ================================================
1082 dnl Local Variables:
1083 dnl compile-command: "autoconf"
1084 dnl End: